%define name 	libdvdcss

%define major  	2
%define libname %mklibname dvdcss %{major}

Name:		libdvdcss
Version:	1.4.0
Release:	%mkrel 1
Summary:	Library for accessing DVDs like block device usind deCSS if needed
Source:		%{name}-%{version}.tar.xz
License:	GPL
Group:		System/Libraries
URL:		http://www.videolan.org/libdvdcss
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
libdvdcss is a simple library designed for accessing DVDs like a block device
without having to bother about the decryption. The important features are:
 * Portability. Currently supported platforms are GNU/Linux, FreeBSD, NetBSD,
   OpenBSD, BSD/OS, BeOS, Windows 95/98, Windows NT/2000, MacOS X, Solaris,
   and HP-UX.
 * Simplicity. There are currently 7 functions in the API, and we intend to
   keep this number low.
 * Freedom. libdvdcss is released under the General Public License, ensuring
   it will stay free, and used only for free software products.
 * Just better. Unlike most similar projects, libdvdcss doesn't require the
   region of your drive to be set.


%package -n %{libname}
Summary:        A library for accessing DVDs like block device usind deCSS if needed
Group:          System/Libraries
Provides:       %name = %version-%release

%description -n %{libname}
libdvdcss is a simple library designed for accessing DVDs like a block device
without having to bother about the decryption. The important features are:
 * Portability. Currently supported platforms are GNU/Linux, FreeBSD, NetBSD,
   OpenBSD, BSD/OS, BeOS, Windows 95/98, Windows NT/2000, MacOS X, Solaris,
   and HP-UX.
 * Simplicity. There are currently 7 functions in the API, and we intend to
   keep this number low.
 * Freedom. libdvdcss is released under the General Public License, ensuring
   it will stay free, and used only for free software products.
 * Just better. Unlike most similar projects, libdvdcss doesn't require the
   region of your drive to be set.

%package -n %{libname}-devel
Summary:        Development tools for programs which will use the %{name} library
Group:          Development/Libraries
Requires:	%{libname} = %version
Provides:       %{name}-devel = %version-%release
 
%description -n %{libname}-devel
The %{name}-devel package includes the header files and static libraries
necessary for developing programs which will manipulate DVDs files using
the %{name} library.
 
If you are going to develop programs which will manipulate DVDs, you
should install %{name}-devel.  You'll also need to have the %{name}
package installed.


%prep
%setup -q

%build
%configure2_5x --enable-shared --disable-static
%make


%install
%makeinstall

find %{buildroot}%{_libdir} -name '*.la' -delete


%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname}
/sbin/ldconfig
 
%postun -n %{libname}
/sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_docdir}/libdvdcss*
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_docdir}/libdvdcss*
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/libdvdcss.pc

%changelog
* Wed May 09 2018 adrianomorselli <adrianomorselli> 1.4.0-1uplos2018
- update
